commit:     5d33b2db27bf26fb9af220b069e53991469328c9
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Tue Apr  5 01:15:22 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Tue Apr  5 01:15:22 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d33b2db

games-util/grfcodec: version bump

Package-Manager: portage-2.2.26

 games-util/grfcodec/Manifest              |  1 +
 games-util/grfcodec/grfcodec-6.0.5.ebuild | 50 +++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/games-util/grfcodec/Manifest b/games-util/grfcodec/Manifest
index 0f67260..576b9cc 100644
--- a/games-util/grfcodec/Manifest
+++ b/games-util/grfcodec/Manifest
@@ -1 +1,2 @@
 DIST grfcodec-6.0.4-source.tar.xz 165756 SHA256 
7ec1f903cc48b73be9192a23f3fa14dc2a024d8edc4d2dfafa245e700e650cdb SHA512 
cfbbd1cfae7f2d2ba08ca32d8af68f6885c15dddb6ab941bed32d6c15bf9581e0b4ba19a16a5e48e6d6e070438732df232d3f3f008d42baad77a93f931ad0331
 WHIRLPOOL 
6cbd33a2aa503c858b1b5eeabd8d201e54d68ea618369b464de05f262236303e4f5960119ba86ed792c076c354ce757c804f01a6e1f90d552be276f26004028d
+DIST grfcodec-6.0.5-source.tar.xz 166788 SHA256 
db149e98095de107a8d6f715f03376380f201ea158e0cdc53585d9a1b5cbe8a2 SHA512 
b578c6d53b69a1d43d59039f26a028e1437536102150fc2bddfff349ef3c7f720ee31e682ccc5df892c2660e167663c2ab12c3fa63c720022ab14d0645d0bf99
 WHIRLPOOL 
d36ea24172724821fdcb10bf80630ba8adf822675b78e6df414395b1b210fa792c864bfb7e11d8c1e9a38e89d33d9aec91ec3f6c4a5951e9f8301f8b3fbacb38

diff --git a/games-util/grfcodec/grfcodec-6.0.5.ebuild 
b/games-util/grfcodec/grfcodec-6.0.5.ebuild
new file mode 100644
index 0000000..5b6d009
--- /dev/null
+++ b/games-util/grfcodec/grfcodec-6.0.5.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+if [ "${PV%9999}" != "${PV}" ] ; then
+       SCM=mercurial
+       EHG_REPO_URI="http://hg.openttdcoop.org/${PN}";
+fi
+
+inherit toolchain-funcs ${SCM}
+
+DESCRIPTION="A suite of programs to modify openttd/Transport Tycoon Deluxe's 
GRF files"
+HOMEPAGE="http://dev.openttdcoop.org/projects/grfcodec";
+[[ -z ${SCM} ]] && 
SRC_URI="http://binaries.openttd.org/extra/${PN}/${PV}/${P}-source.tar.xz";
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~ppc ~ppc64 ~x86"
+IUSE=""
+
+[[ -n ${SCM} ]] && S=${WORKDIR}/${PN}
+
+RDEPEND="media-libs/libpng:0"
+DEPEND="${RDEPEND}
+       !games-util/nforenum
+       dev-lang/perl
+       dev-libs/boost"
+
+src_prepare() {
+# Set up Makefile.local so that we respect CXXFLAGS/LDFLAGS
+cat > Makefile.local <<-__EOF__
+               CXX=$(tc-getCXX)
+               BOOST_INCLUDE=/usr/include
+               CXXFLAGS=${CXXFLAGS}
+               LDOPT=${LDFLAGS}
+               UPX=
+               V=1
+               FLAGS=
+               EXE=
+       __EOF__
+       sed -i -e 's/-O2//g' Makefile || die
+}
+
+src_install() {
+       dobin grfcodec grfid grfstrip nforenum
+       doman docs/*.1
+       dodoc changelog.txt docs/*.txt
+}

Reply via email to